IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/24
Addresses2^104
/64 networks2^40
- Network
2001:df00::/24- First address
2001:df00::- Last address
2001:dfff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 20,282,409,603,651,670,423,947,251,286,016 (2^104)
- /64 networks (LANs)
- 1,099,511,627,776 (2^40)
- Full form
2001:df00:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
f.d.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:df00::/24 makes 256 subnets of /32.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:df00::/32 | 2001:df00:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2001:df01::/32 | 2001:df01:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2001:df02::/32 | 2001:df02:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2001:df03::/32 | 2001:df03:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2001:df04::/32 | 2001:df04:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2001:df05::/32 | 2001:df05:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2001:df06::/32 | 2001:df06:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2001:df07::/32 | 2001:df07:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2001:df08::/32 | 2001:df08:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2001:df09::/32 | 2001:df09:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2001:df0a::/32 | 2001:df0a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2001:df0b::/32 | 2001:df0b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2001:df0c::/32 | 2001:df0c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2001:df0d::/32 | 2001:df0d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2001:df0e::/32 | 2001:df0e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2001:df0f::/32 | 2001:df0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2001:df10::/32 | 2001:df10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2001:df11::/32 | 2001:df11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2001:df12::/32 | 2001:df12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2001:df13::/32 | 2001:df13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2001:df14::/32 | 2001:df14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2001:df15::/32 | 2001:df15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2001:df16::/32 | 2001:df16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2001:df17::/32 | 2001:df17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2001:df18::/32 | 2001:df18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2001:df19::/32 | 2001:df19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2001:df1a::/32 | 2001:df1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2001:df1b::/32 | 2001:df1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2001:df1c::/32 | 2001:df1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2001:df1d::/32 | 2001:df1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2001:df1e::/32 | 2001:df1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2001:df1f::/32 | 2001:df1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2001:df20::/32 | 2001:df20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2001:df21::/32 | 2001:df21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2001:df22::/32 | 2001:df22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2001:df23::/32 | 2001:df23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2001:df24::/32 | 2001:df24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2001:df25::/32 | 2001:df25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2001:df26::/32 | 2001:df26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2001:df27::/32 | 2001:df27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2001:df28::/32 | 2001:df28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2001:df29::/32 | 2001:df29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2001:df2a::/32 | 2001:df2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2001:df2b::/32 | 2001:df2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2001:df2c::/32 | 2001:df2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2001:df2d::/32 | 2001:df2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2001:df2e::/32 | 2001:df2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2001:df2f::/32 | 2001:df2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2001:df30::/32 | 2001:df30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2001:df31::/32 | 2001:df31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2001:df32::/32 | 2001:df32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2001:df33::/32 | 2001:df33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2001:df34::/32 | 2001:df34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2001:df35::/32 | 2001:df35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2001:df36::/32 | 2001:df36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2001:df37::/32 | 2001:df37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2001:df38::/32 | 2001:df38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2001:df39::/32 | 2001:df39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2001:df3a::/32 | 2001:df3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2001:df3b::/32 | 2001:df3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2001:df3c::/32 | 2001:df3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2001:df3d::/32 | 2001:df3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2001:df3e::/32 | 2001:df3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2001:df3f::/32 | 2001:df3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2001:df40::/32 | 2001:df40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2001:df41::/32 | 2001:df41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2001:df42::/32 | 2001:df42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2001:df43::/32 | 2001:df43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2001:df44::/32 | 2001:df44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2001:df45::/32 | 2001:df45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2001:df46::/32 | 2001:df46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2001:df47::/32 | 2001:df47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2001:df48::/32 | 2001:df48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2001:df49::/32 | 2001:df49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2001:df4a::/32 | 2001:df4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2001:df4b::/32 | 2001:df4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2001:df4c::/32 | 2001:df4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2001:df4d::/32 | 2001:df4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2001:df4e::/32 | 2001:df4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2001:df4f::/32 | 2001:df4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2001:df50::/32 | 2001:df50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2001:df51::/32 | 2001:df51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2001:df52::/32 | 2001:df52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2001:df53::/32 | 2001:df53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2001:df54::/32 | 2001:df54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2001:df55::/32 | 2001:df55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2001:df56::/32 | 2001:df56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2001:df57::/32 | 2001:df57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2001:df58::/32 | 2001:df58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2001:df59::/32 | 2001:df59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2001:df5a::/32 | 2001:df5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2001:df5b::/32 | 2001:df5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2001:df5c::/32 | 2001:df5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2001:df5d::/32 | 2001:df5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2001:df5e::/32 | 2001:df5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2001:df5f::/32 | 2001:df5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2001:df60::/32 | 2001:df60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2001:df61::/32 | 2001:df61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2001:df62::/32 | 2001:df62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2001:df63::/32 | 2001:df63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2001:df64::/32 | 2001:df64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2001:df65::/32 | 2001:df65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2001:df66::/32 | 2001:df66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2001:df67::/32 | 2001:df67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2001:df68::/32 | 2001:df68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2001:df69::/32 | 2001:df69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2001:df6a::/32 | 2001:df6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2001:df6b::/32 | 2001:df6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2001:df6c::/32 | 2001:df6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2001:df6d::/32 | 2001:df6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2001:df6e::/32 | 2001:df6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2001:df6f::/32 | 2001:df6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2001:df70::/32 | 2001:df70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2001:df71::/32 | 2001:df71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2001:df72::/32 | 2001:df72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2001:df73::/32 | 2001:df73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2001:df74::/32 | 2001:df74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2001:df75::/32 | 2001:df75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2001:df76::/32 | 2001:df76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2001:df77::/32 | 2001:df77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2001:df78::/32 | 2001:df78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2001:df79::/32 | 2001:df79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2001:df7a::/32 | 2001:df7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2001:df7b::/32 | 2001:df7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2001:df7c::/32 | 2001:df7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2001:df7d::/32 | 2001:df7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2001:df7e::/32 | 2001:df7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2001:df7f::/32 | 2001:df7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2001:df80::/32 | 2001:df80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2001:df81::/32 | 2001:df81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2001:df82::/32 | 2001:df82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2001:df83::/32 | 2001:df83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2001:df84::/32 | 2001:df84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2001:df85::/32 | 2001:df85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2001:df86::/32 | 2001:df86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2001:df87::/32 | 2001:df87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2001:df88::/32 | 2001:df88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2001:df89::/32 | 2001:df89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2001:df8a::/32 | 2001:df8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2001:df8b::/32 | 2001:df8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2001:df8c::/32 | 2001:df8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2001:df8d::/32 | 2001:df8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2001:df8e::/32 | 2001:df8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2001:df8f::/32 | 2001:df8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2001:df90::/32 | 2001:df90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2001:df91::/32 | 2001:df91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2001:df92::/32 | 2001:df92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2001:df93::/32 | 2001:df93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2001:df94::/32 | 2001:df94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2001:df95::/32 | 2001:df95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2001:df96::/32 | 2001:df96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2001:df97::/32 | 2001:df97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2001:df98::/32 | 2001:df98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2001:df99::/32 | 2001:df99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2001:df9a::/32 | 2001:df9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2001:df9b::/32 | 2001:df9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2001:df9c::/32 | 2001:df9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2001:df9d::/32 | 2001:df9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2001:df9e::/32 | 2001:df9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2001:df9f::/32 | 2001:df9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2001:dfa0::/32 | 2001:dfa0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2001:dfa1::/32 | 2001:dfa1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2001:dfa2::/32 | 2001:dfa2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2001:dfa3::/32 | 2001:dfa3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2001:dfa4::/32 | 2001:dfa4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2001:dfa5::/32 | 2001:dfa5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2001:dfa6::/32 | 2001:dfa6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2001:dfa7::/32 | 2001:dfa7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2001:dfa8::/32 | 2001:dfa8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2001:dfa9::/32 | 2001:dfa9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2001:dfaa::/32 | 2001:dfaa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2001:dfab::/32 | 2001:dfab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2001:dfac::/32 | 2001:dfac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2001:dfad::/32 | 2001:dfad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2001:dfae::/32 | 2001:dfae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2001:dfaf::/32 | 2001:dfaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2001:dfb0::/32 | 2001:dfb0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2001:dfb1::/32 | 2001:dfb1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2001:dfb2::/32 | 2001:dfb2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2001:dfb3::/32 | 2001:dfb3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2001:dfb4::/32 | 2001:dfb4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2001:dfb5::/32 | 2001:dfb5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2001:dfb6::/32 | 2001:dfb6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2001:dfb7::/32 | 2001:dfb7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2001:dfb8::/32 | 2001:dfb8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2001:dfb9::/32 | 2001:dfb9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2001:dfba::/32 | 2001:dfba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2001:dfbb::/32 | 2001:dfbb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2001:dfbc::/32 | 2001:dfbc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2001:dfbd::/32 | 2001:dfbd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2001:dfbe::/32 | 2001:dfbe:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2001:dfbf::/32 | 2001:dfbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2001:dfc0::/32 | 2001:dfc0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2001:dfc1::/32 | 2001:dfc1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2001:dfc2::/32 | 2001:dfc2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2001:dfc3::/32 | 2001:dfc3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2001:dfc4::/32 | 2001:dfc4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2001:dfc5::/32 | 2001:dfc5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2001:dfc6::/32 | 2001:dfc6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2001:dfc7::/32 | 2001:dfc7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2001:dfc8::/32 | 2001:dfc8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2001:dfc9::/32 | 2001:dfc9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2001:dfca::/32 | 2001:dfca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2001:dfcb::/32 | 2001:dfcb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2001:dfcc::/32 | 2001:dfcc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2001:dfcd::/32 | 2001:dfcd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2001:dfce::/32 | 2001:dfce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2001:dfcf::/32 | 2001:dfcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2001:dfd0::/32 | 2001:dfd0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2001:dfd1::/32 | 2001:dfd1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2001:dfd2::/32 | 2001:dfd2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2001:dfd3::/32 | 2001:dfd3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2001:dfd4::/32 | 2001:dfd4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2001:dfd5::/32 | 2001:dfd5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2001:dfd6::/32 | 2001:dfd6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2001:dfd7::/32 | 2001:dfd7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2001:dfd8::/32 | 2001:dfd8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2001:dfd9::/32 | 2001:dfd9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2001:dfda::/32 | 2001:dfda:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2001:dfdb::/32 | 2001:dfdb:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2001:dfdc::/32 | 2001:dfdc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2001:dfdd::/32 | 2001:dfdd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2001:dfde::/32 | 2001:dfde:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2001:dfdf::/32 | 2001:dfdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2001:dfe0::/32 | 2001:dfe0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2001:dfe1::/32 | 2001:dfe1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2001:dfe2::/32 | 2001:dfe2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2001:dfe3::/32 | 2001:dfe3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2001:dfe4::/32 | 2001:dfe4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2001:dfe5::/32 | 2001:dfe5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2001:dfe6::/32 | 2001:dfe6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2001:dfe7::/32 | 2001:dfe7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2001:dfe8::/32 | 2001:dfe8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2001:dfe9::/32 | 2001:dfe9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2001:dfea::/32 | 2001:dfea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2001:dfeb::/32 | 2001:dfeb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2001:dfec::/32 | 2001:dfec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2001:dfed::/32 | 2001:dfed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2001:dfee::/32 | 2001:dfee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2001:dfef::/32 | 2001:dfef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2001:dff0::/32 | 2001:dff0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2001:dff1::/32 | 2001:dff1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2001:dff2::/32 | 2001:dff2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2001:dff3::/32 | 2001:dff3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2001:dff4::/32 | 2001:dff4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2001:dff5::/32 | 2001:dff5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2001:dff6::/32 | 2001:dff6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2001:dff7::/32 | 2001:dff7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2001:dff8::/32 | 2001:dff8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2001:dff9::/32 | 2001:dff9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2001:dffa::/32 | 2001:dffa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2001:dffb::/32 | 2001:dffb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2001:dffc::/32 | 2001:dffc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2001:dffd::/32 | 2001:dffd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2001:dffe::/32 | 2001:dffe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2001:dfff::/32 | 2001:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |